=== modified file 'rules/convert/builtin_functions.rules'
--- rules/convert/builtin_functions.rules	2022-10-05 08:32:33 +0000
+++ rules/convert/builtin_functions.rules	2022-10-10 14:57:13 +0000
@@ -187,6 +187,7 @@
 **     RFB 20210713          Added support for LIST-EVENTS (HandleOps.listEvents). Ref #5536.
 **     CA  20220930          Dynamic invocation of functions or RUN statements are now tracked via an
 **                           InvokeConfig call-site, to allow the runtime to cache the target of the call-site.
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
  -->
  
@@ -578,7 +579,7 @@
          
          <!-- DATA-SOURCE-MODIFIED function -->
          <rule>ftype == prog.kw_data_sm
-            <action>methodText = "DataSourceModifiable.isDataSourceModified"</action>
+            <action>methodText = "DataSourceModifiable.dataSourceModified"</action>
             <action>dbimport = true</action>
          </rule>
          

=== modified file 'rules/convert/datasets.rules'
--- rules/convert/datasets.rules	2020-05-03 20:30:03 +0000
+++ rules/convert/datasets.rules	2022-10-10 14:57:50 +0000
@@ -4,7 +4,7 @@
 ** Module   : datasets.rules
 ** Abstract : converts static (and dynamic) DataSets definitions
 **
-** Copyright (c) 2019-2020, Golden Code Development Corporation.
+** Copyright (c) 2019-2022, Golden Code Development Corporation.
 **
 ** _#_ _I_ __Date__ _________________________________Description_________________________________
 ** 001 OM  20190327 First commit.
@@ -20,6 +20,7 @@
 **                  APIs, as these modes are optional for function or OO method definitions.
 ** 006 CA  20200503 ParameterOption enums are qualified and not imported, as it collides 
 **                  character.valueOf with.
+** 007 VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 -->
 
@@ -382,7 +383,7 @@
          </rule>
          <rule>type == prog.kw_serialzn
             <action>
-               execLib("addChainNode", copy.parent, "setSerializeName", java.method_call)
+               execLib("addChainNode", copy.parent, "serializeName", java.method_call)
             </action>
          </rule>
          <rule>type == prog.kw_xml_ntyp

=== modified file 'rules/convert/methods_attributes.rules'
--- rules/convert/methods_attributes.rules	2022-10-03 15:17:22 +0000
+++ rules/convert/methods_attributes.rules	2022-10-10 14:58:05 +0000
@@ -537,6 +537,7 @@
 **                           moveBeforeTabItem. See #6383.
 **     VVT 20221003          CommonHandle.getResourceType() method renamed to resourceType() to prevent convlicts
 **                           with namesakes in DMO. See #6694.
+**     VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
  -->
  
@@ -707,7 +708,7 @@
          <rule>list.put(prog.kw_cur_qry , execLib("cr_descr", "DataRelation"               , "getCurrentQuery"        , null                     , true       ))</rule>
          <rule>list.put(prog.kw_cvt_3d_c, execLib("cr_descr", "ImageSupport"               , "getConvert3D"           , "setConvert3D"           , true       ))</rule>
          <rule>list.put(prog.kw_data_scm, execLib("cr_descr", "Buffer"                     , "dataSourceCompleteMap"  , null                     , true       ))</rule>
-         <rule>list.put(prog.kw_data_sm , execLib("cr_descr", "DataSourceModifiable"       , "isDataSourceModified"   , "setDataSourceModified"  , true       ))</rule>
+         <rule>list.put(prog.kw_data_sm , execLib("cr_descr", "DataSourceModifiable"       , "dataSourceModified"     , "dataSourceModified"     , true       ))</rule>
          <rule>list.put(prog.kw_data_src, execLib("cr_descr", "Buffer"                     , "dataSource"             , null                     , true       ))</rule>
          <rule>list.put(prog.kw_data_sri, execLib("cr_descr", "Buffer"                     , "dataSourceRowid"        , "dataSourceRowid"        , true       ))</rule>
          <rule>list.put(prog.kw_dataset , execLib("cr_descr", "Buffer"                     , "dataSet"                , null                     , true       ))</rule>
@@ -813,7 +814,7 @@
          <rule>list.put(prog.kw_invoke  , execLib("cr_descr", "Call"                       , "invoke"                 , null                     , true       ))</rule>
          <rule>list.put(prog.kw_is_open , execLib("cr_descr", "Openable"                   , "isOpen"                 , null                     , true       ))</rule>
          <rule>list.put(prog.kw_is_p_set, execLib("cr_descr", "Call"                       , "isParameterSet"         , null                     , true       ))</rule>
-         <rule>list.put(prog.kw_is_m_ten, execLib("cr_descr", "Buffer"                     , "isMultiTenant"          , "setMultiTenant"         , true       ))</rule>
+         <rule>list.put(prog.kw_is_m_ten, execLib("cr_descr", "Buffer"                     , "multiTenant"            , "multiTenant"            , true       ))</rule>
          <rule>list.put(prog.kw_key     , execLib("cr_descr", "BufferField"                , "isKey"                  , null                     , true       ))</rule>
          <rule>list.put(prog.kw_keys    , execLib("cr_descr", "Keyable"                    , "keys"                   , null                     , true       ))</rule>
          <rule>list.put(prog.kw_lab_bgc , execLib("cr_descr", "BrowseElement"              , "getLabelBgColor"        , "setLabelBgColor"        , true       ))</rule>
@@ -914,8 +915,8 @@
          <rule>list.put(prog.kw_prim_p_p, execLib("cr_descr", "ClientPrincipal"            , "getPrimaryPassphrase"   , "setPrimaryPassphrase"   , true       ))</rule>
          <rule>list.put(prog.kw_print   , execLib("cr_descr", "HtmlBrowser"                , "print"                  , null                     , true       ))</rule>
          <rule>list.put(prog.kw_proctype, execLib("cr_descr", "Call"                       , "getProcedureType"       , "setProcedureType"       , true       ))</rule>
-         <rule>list.put(prog.kw_qual_uid, execLib("cr_descr", "ClientPrincipal"            , "getQualifiedUid"        , "setQualifiedUid"       , true       ))</rule>
-         <rule>list.put(prog.kw_query   , execLib("cr_descr", "QueryAssociable"            , "getQueryAsHandle"       , "setQueryAsHandle"       , true       ))</rule>
+         <rule>list.put(prog.kw_qual_uid, execLib("cr_descr", "ClientPrincipal"            , "getQualifiedUid"        , "setQualifiedUid"        , true       ))</rule>
+         <rule>list.put(prog.kw_query   , execLib("cr_descr", "QueryAssociable"            , "queryAsHandle"          , "queryAsHandle"          , true       ))</rule>
          <rule>list.put(prog.kw_radio_b , execLib("cr_descr", "RadioSet"                   , "getRadioButtons"        , "setRadioButtons"        , true       ))</rule>
          <rule>list.put(prog.kw_raw_tran, execLib("cr_descr", "Buffer"                     , "rawTransfer"            , null                     , true       ))</rule>
          <rule>list.put(prog.kw_read_fil, execLib("cr_descr", "Editor"                     , "readFile"               , null                     , true       ))</rule>
@@ -969,7 +970,7 @@
          <rule>list.put(prog.kw_selected, execLib("cr_descr", "Widget"                     , "isSelected"             , "setSelected"            , true       ))</rule>
          <rule>list.put(prog.kw_sep_fgc , execLib("cr_descr", "Browse"                     , "getSeparatorFgColor"    , "setSeparatorFgColor"    , true       ))</rule>
          <rule>list.put(prog.kw_serialzh, execLib("cr_descr", "SerializeHiddenable"        , "getSerializeHidden"     , "setSerializeHidden"     , true       ))</rule>
-         <rule>list.put(prog.kw_serialzn, execLib("cr_descr", "NamedSerializable"          , "getSerializeName"       , "setSerializeName"       , true       ))</rule>
+         <rule>list.put(prog.kw_serialzn, execLib("cr_descr", "NamedSerializable"          , "serializeName"          , "serializeName"          , true       ))</rule>
          <rule>list.put(prog.kw_serialzr, execLib("cr_descr", "Buffer"                     , "serializeRow"           , null                     , true       ))</rule>
          <rule>list.put(prog.kw_server  , execLib("cr_descr", "Remotable"                  , "getServerHandle"        , "setServerHandle"        , true       ))</rule>
          <rule>list.put(prog.kw_sessn_id, execLib("cr_descr", "ClientPrincipal"            , "getSessionId"           , "setSessionId"           , true       ))</rule>
@@ -1071,8 +1072,8 @@
          <rule>list.put(prog.kw_calvalue, execLib("cr_descr", "Calendar"                   , "getCalendarValue"       , "setCalendarValue"       , true       ))</rule>
          <rule>list.put(prog.kw_cease   , execLib("cr_descr", "FWDTimer"                   , "cease"                  , null                     , true       ))</rule>
          <rule>list.put(prog.kw_check_bo, execLib("cr_descr", "TreeFace"                   , "isCheckBoxes"           , "setCheckBoxes"          , true       ))</rule>
-         <rule>list.put(prog.kw_clea_tab, execLib("cr_descr", "Signature"                  , "clearTablet"              , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_clea_win, execLib("cr_descr", "Signature"                  , "clearSignatureWindow"     , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_clea_tab, execLib("cr_descr", "Signature"                  , "clearTablet"            , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_clea_win, execLib("cr_descr", "Signature"                  , "clearSignatureWindow"   , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_clr_all , execLib("cr_descr", "TreeFace"                   , "clearAll"               , null                     , true       ))</rule>
          <rule>list.put(prog.kw_clr_attl, execLib("cr_descr", "EmailSender"                , "clearAttachmentsList"   , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_clr_bccl, execLib("cr_descr", "EmailSender"                , "clearBccAddressList"    , ""                       , true       ))</rule>
@@ -1157,12 +1158,12 @@
          <rule>list.put(prog.kw_is_c_vis, execLib("cr_descr", "TreeList"                   , "isColumnVisible"        , null                     , true       ))</rule>
          <rule>list.put(prog.kw_is_msel , execLib("cr_descr", "TreeFace"                   , "isMultiSelect"          , null                     , true       ))</rule>
          <rule>list.put(prog.kw_is_n_exp, execLib("cr_descr", "TreeFace"                   , "isNodeExpanded"         , null                     , true       ))</rule>
-         <rule>list.put(prog.kw_kpad_hot, execLib("cr_descr", "Signature"                  , "keypadAddHotSpot"         , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_kpad_cle, execLib("cr_descr", "Signature"                  , "keypadClearHotSpotList"   , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_kpad_qry, execLib("cr_descr", "Signature"                  , "keypadQueryHotSpot"       , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_lcd_refr, execLib("cr_descr", "Signature"                  , "lcdRefresh"               , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_lcd_swin, execLib("cr_descr", "Signature"                  , "lcdSetWindow"             , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_lcd_wstr, execLib("cr_descr", "Signature"                  , "lcdWriteString"           , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_kpad_hot, execLib("cr_descr", "Signature"                  , "keypadAddHotSpot"       , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_kpad_cle, execLib("cr_descr", "Signature"                  , "keypadClearHotSpotList" , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_kpad_qry, execLib("cr_descr", "Signature"                  , "keypadQueryHotSpot"     , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_lcd_refr, execLib("cr_descr", "Signature"                  , "lcdRefresh"             , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_lcd_swin, execLib("cr_descr", "Signature"                  , "lcdSetWindow"           , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_lcd_wstr, execLib("cr_descr", "Signature"                  , "lcdWriteString"         , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_msicon,   execLib("cr_descr", "WidgetExtension"            , "getMouseIcon"           , "setMouseIcon"        , true       ))</rule>
          <rule>list.put(prog.kw_mspntnum, execLib("cr_descr", "WidgetExtension"            , "getMousePointerNum"     , "setMousePointerNum"     , true       ))</rule>
          <rule>list.put(prog.kw_m_d_i_p,  execLib("cr_descr", "TreeList"                   , "moveDownInParent"       , null                     , true       ))</rule>
@@ -1179,7 +1180,7 @@
          <rule>list.put(prog.kw_node_key, execLib("cr_descr", "TreeNodeFace"               , "getNodeKey"             , null                     , true       ))</rule>
          <rule>list.put(prog.kw_node_par, execLib("cr_descr", "TreeNodeFace"               , "getNodeParent"          , null                     , true       ))</rule>
          <rule>list.put(prog.kw_node_txt, execLib("cr_descr", "TreeNodeFace"               , "getNodeText"            , "setNodeText"            , true       ))</rule>
-         <rule>list.put(prog.kw_num_pnts, execLib("cr_descr", "Signature"                  , "numberOfTabletPoints"     , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_num_pnts, execLib("cr_descr", "Signature"                  , "numberOfTabletPoints"   , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_ocx_mbtn, execLib("cr_descr", "OcxMouse"                   , "getMouseButton"         , null                     , true       ))</rule>
          <rule>list.put(prog.kw_ocx_msht, execLib("cr_descr", "OcxMouse"                   , "getMouseShift"          , null                     , true       ))</rule>
          <rule>list.put(prog.kw_ocx_msx,  execLib("cr_descr", "OcxMouse"                   , "getMouseX"              , null                     , true       ))</rule>
@@ -1241,12 +1242,12 @@
          <rule>list.put(prog.kw_set_cptm, execLib("cr_descr", "Signature"                  , "setLCDCaptureMode"        , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_set_f_d , execLib("cr_descr", "TabSet"                     , "setFontDetails"         , null                     , true       ))</rule>
          <rule>list.put(prog.kw_foc_asel, execLib("cr_descr", "SelectableText"             , "focusAndSelect"         , null                     , true       ))</rule>
-         <rule>list.put(prog.kw_set_imgf, execLib("cr_descr", "Signature"                  , "setImageFileFormat"       , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_set_imgh, execLib("cr_descr", "Signature"                  , "setImageXSize"            , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_set_imgw, execLib("cr_descr", "Signature"                  , "setImageYSize"            , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_set_jmod, execLib("cr_descr", "Signature"                  , "setJustifyMode"           , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_set_jstx, execLib("cr_descr", "Signature"                  , "setJustifyX"              , ""                       , true       ))</rule>
-         <rule>list.put(prog.kw_set_jsty, execLib("cr_descr", "Signature"                  , "setJustifyY"              , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_set_imgf, execLib("cr_descr", "Signature"                  , "setImageFileFormat"     , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_set_imgh, execLib("cr_descr", "Signature"                  , "setImageXSize"          , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_set_imgw, execLib("cr_descr", "Signature"                  , "setImageYSize"          , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_set_jmod, execLib("cr_descr", "Signature"                  , "setJustifyMode"         , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_set_jstx, execLib("cr_descr", "Signature"                  , "setJustifyX"            , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_set_jsty, execLib("cr_descr", "Signature"                  , "setJustifyY"            , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_set_msel, execLib("cr_descr", "TreeFace"                   , "setMultiSelect"         , null                     , true       ))</rule>
          <rule>list.put(prog.kw_set_n_bg, execLib("cr_descr", "TreeFace"                   , "setNodeBgColor"         , null                     , true       ))</rule>
          <rule>list.put(prog.kw_set_n_fg, execLib("cr_descr", "TreeFace"                   , "setNodeFgColor"         , null                     , true       ))</rule>
@@ -1258,7 +1259,7 @@
          <rule>list.put(prog.kw_set_swin, execLib("cr_descr", "Signature"                  , "setSignatureWindow"       , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_set_tbme, execLib("cr_descr", "Signature"                  , "setTranslateBitmapEnable" , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_set_tn_i, execLib("cr_descr", "TreeFace"                   , "setTreeNodeIcons"       , null                     , true       ))</rule>
-         <rule>list.put(prog.kw_set_tsta, execLib("cr_descr", "Signature"                  , "setTabletState"           , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_set_tsta, execLib("cr_descr", "Signature"                  , "setTabletState"         , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_show_but, execLib("cr_descr", "TreeFace"                   , "isShowButtons"          , "setShowButtons"         , true       ))</rule>
          <rule>list.put(prog.kw_show_hdr, execLib("cr_descr", "TreeList"                   , "isShowHeader"           , "setShowHeader"          , true       ))</rule>
          <rule>list.put(prog.kw_shr_d_f,  execLib("cr_descr", "TreeList"                   , "getShortDateFormat"     , "setShortDateFormat"     , true       ))</rule>
@@ -1280,7 +1281,7 @@
          <rule>list.put(prog.kw_tab_show, execLib("cr_descr", "TabSet"                     , "show"                   , null                     , true       ))</rule>
          <rule>list.put(prog.kw_tabs,     execLib("cr_descr", "TabSet"                     , "getTabs"                , "setTabs"                , true       ))</rule>
          <rule>list.put(prog.kw_tab_idx , execLib("cr_descr", "TabSet"                     , "getTabIndex"            , "setTabIndex"            , true       ))</rule>
-         <rule>list.put(prog.kw_tab_mod,  execLib("cr_descr", "Signature"                  , "tabletModelNumber"        , ""                       , true       ))</rule>
+         <rule>list.put(prog.kw_tab_mod,  execLib("cr_descr", "Signature"                  , "tabletModelNumber"      , ""                       , true       ))</rule>
          <rule>list.put(prog.kw_tab_ml  , execLib("cr_descr", "TabSet"                     , "isMultiLine"            , "setMultiLine"           , true       ))</rule>
          <rule>list.put(prog.kw_textedit, execLib("cr_descr", "TreeFace"                   , "isTextEdit"             , "setTextEdit"            , true       ))</rule>
          <rule>list.put(prog.kw_tho_sep,  execLib("cr_descr", "TreeList"                   , "getThousandSeparator"   , "setThousandSeparator"   , true       ))</rule>
@@ -2847,9 +2848,9 @@
 
                <rule>ftype == prog.kw_adm_data
                   <action>hwrap = "ADMData"</action>
-                  <action>methodText = "getADMData"</action>
+                  <action>methodText = "admData"</action>
                   <rule>isAssign
-                     <action>methodText = "setADMData"</action>
+                     <action>methodText = "admData"</action>
                   </rule>
                </rule>
 
@@ -3134,7 +3135,7 @@
                        in the case of FRAMES, the attribute is documented as R/W -->
                   <action>hwrap = "IterableResource"</action>
                   <rule>isAssign
-                     <action on="true">methodText = "setCurrentIteration"</action>
+                     <action on="true">methodText = "currentIteration"</action>
                      <action on="false">methodText = "currentIteration"</action>
                   </rule>
                </rule>
@@ -3178,7 +3179,7 @@
 
                <rule>ftype == prog.kw_dbname
                   <action>hwrap = "DatabaseInfo"</action>
-                  <action>methodText = "getDbName"</action>
+                  <action>methodText = "dbName"</action>
                </rule>
 
                <rule>ftype == prog.kw_dcolor
@@ -4827,7 +4828,7 @@
                </rule>
 
                <rule>ftype == prog.kw_table
-                  <action>methodText = "getTable"</action>
+                  <action>methodText = "table"</action>
                </rule>
 
                <rule>ftype == prog.kw_3d
@@ -4844,7 +4845,7 @@
 
                <rule>ftype == prog.kw_table
                   <action>hwrap = "DatabaseInfo"</action>
-                  <action>methodText = "getTable"</action>
+                  <action>methodText = "table"</action>
                </rule>
 
                <rule>ftype == prog.kw_title
@@ -4887,7 +4888,7 @@
                <!-- Attribute for DOM XML -->
                <rule>ftype == prog.kw_uniq_id
                   <action>hwrap = "UniqueID"</action>
-                  <action>methodText = "getUniqueID"</action>
+                  <action>methodText = "uniqueID"</action>
                   <action>xmlimport = true</action>
                </rule>
 

=== modified file 'src/com/goldencode/p2j/convert/BufferList.java' (properties changed: +x to -x)
--- src/com/goldencode/p2j/convert/BufferList.java	2019-05-13 14:26:39 +0000
+++ src/com/goldencode/p2j/convert/BufferList.java	2022-10-10 14:58:32 +0000
@@ -2,7 +2,7 @@
 ** Module   : BufferList.java
 ** Abstract : stores the list of all buffers by the same name in a source file
 **
-** Copyright (c) 2005-2019, Golden Code Development Corporation.
+** Copyright (c) 2005-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- --JPRM-- ----------------Description-----------------
 ** 001 GES 20050922   @22788 First version which provides a helper class to store the list of all
@@ -16,6 +16,7 @@
 ** 007 OM  20161007          Code maintenance (generified, typo fix, javadoc).
 ** 008 CA  20190128          Track buffer's static state (if OO).
 ** 009 CA  20190513          Fixed buffer usage from super-classes, in OO.
+** 010 VVT 2022yyyy          Method(s) renamed to avoid method name clashes. See #6767.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -275,7 +276,7 @@
     *
     * @return   The logical database for this buffer.
     */
-   public String getDbName()
+   public String dbName()
    {
       return dbName;
    }

=== modified file 'src/com/goldencode/p2j/persist/AbstractTempTable.java'
--- src/com/goldencode/p2j/persist/AbstractTempTable.java	2022-10-06 08:18:44 +0000
+++ src/com/goldencode/p2j/persist/AbstractTempTable.java	2022-10-10 15:15:02 +0000
@@ -46,6 +46,7 @@
 **     CA  20220214 The slave buffers are cleaned up only when the associated temp-table gets deleted.
 **     OM  20220422 Allow Xml/JsonImport to load records into buffer without exposing package private methods.
 **     CA  20221006 UNIQUE-ID is kept as a Java type instead of BDT.  Refs #6827
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -246,7 +247,7 @@
     * @return   The integer number of the children.
     */
    @Override
-   public integer getUniqueID()
+   public integer uniqueID()
    {
       if (uniqueId == null)
       {
@@ -591,7 +592,7 @@
     * @return   See above.
     */
    @Override
-   public character getADMData()
+   public character admData()
    {
       return new character(this.admData);
    }
@@ -603,7 +604,7 @@
      *           The new value.
      */
    @Override
-   public void setADMData(String value)
+   public void admData(String value)
    {
       this.admData.assign(value);
    }
@@ -615,7 +616,7 @@
     *           The new value.
     */
    @Override
-   public void setADMData(character value)
+   public void admData(character value)
    {
       this.admData.assign(value);
    }
@@ -2043,7 +2044,7 @@
    @Override
    public character getXmlNodeName()
    {
-      return xmlNodeName == null || xmlNodeName.trim().isEmpty() ? getSerializeName() 
+      return xmlNodeName == null || xmlNodeName.trim().isEmpty() ? serializeName() 
                                                                  : new character(xmlNodeName);
    }
    
@@ -2240,7 +2241,7 @@
     * @return  {@code true} when the data has been modified.
     */
    @Override
-   public logical isDataSourceModified()
+   public logical dataSourceModified()
    {
       return new logical(dataSourceModified);
    }
@@ -2252,7 +2253,7 @@
     *          {@code true} when the data is marked as modified and {@code false} otherwise.
     */
    @Override
-   public void setDataSourceModified(logical mod)
+   public void dataSourceModified(logical mod)
    {
       if (mod == null || mod.isUnknown())
       {
@@ -2260,7 +2261,7 @@
          return;
       }
       
-      setDataSourceModified(mod.getValue());
+      dataSourceModified(mod.getValue());
    }
    
    /**
@@ -2270,7 +2271,7 @@
     *          {@code true} when the data is marked as modified and {@code false} otherwise.
     */
    @Override
-   public void setDataSourceModified(boolean mod)
+   public void dataSourceModified(boolean mod)
    {
       this.dataSourceModified = mod;
    }
@@ -2281,7 +2282,7 @@
     * @return  the current value of the {@code SERIALIZE-NAME} attribute.
     */
    @Override
-   public character getSerializeName()
+   public character serializeName()
    {
       return new character(serializeName == null || serializeName.trim().isEmpty() ? name.getValue()
                                                                                    : serializeName);
@@ -2294,9 +2295,9 @@
     *          the new value for the {@code SERIALIZE-NAME} attribute. 
     */
    @Override
-   public void setSerializeName(Text sName)
+   public void serializeName(Text sName)
    {
-      setSerializeName(sName == null || sName.isUnknown() ? null : sName.getValue());
+      serializeName(sName == null || sName.isUnknown() ? null : sName.getValue());
    }
    
    /**
@@ -2306,7 +2307,7 @@
     *          the new value for the {@code SERIALIZE-NAME} attribute. 
     */
    @Override
-   public void setSerializeName(String sName)
+   public void serializeName(String sName)
    {
       serializeName = sName;
    }

=== modified file 'src/com/goldencode/p2j/persist/Buffer.java'
--- src/com/goldencode/p2j/persist/Buffer.java	2021-12-13 16:58:36 +0000
+++ src/com/goldencode/p2j/persist/Buffer.java	2022-10-10 15:15:20 +0000
@@ -2,7 +2,7 @@
 ** Module   : Buffer.java
 ** Abstract : interface which must be extended by any business DMO interface
 **
-** Copyright (c) 2013-2021, Golden Code Development Corporation.
+** Copyright (c) 2013-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------------Description---------------------------------------
 ** 001 ECF 20130118 Created initial version.
@@ -92,6 +92,7 @@
 **     OM  20201205 Added AUTO-DELETE attribute definition.
 **     OM  20201218 Fixed implementation for error and rejected attributes/hidden fields.
 **     OM  20211020 Added _DATASOURCE_ROWID property.
+**     VVT 2022yyyy Method(s) renamed to avoid method name clashes. See #6767.
 */
 
 /*
@@ -2778,25 +2779,25 @@
     * @return   See above.
     */
    @LegacyAttribute(name = "IS-MULTI-TENANT")
-   public logical isMultiTenant();
-   
-   /**
-    * Setter for the IS-MULTI-TENANT attribute.
-    * 
-    * @param    l
-    *           The flag value.
-    */
-   @LegacyAttribute(name = "IS-MULTI-TENANT", setter = true)
-   public void setMultiTenant(logical l);
-   
-   /**
-    * Setter for the IS-MULTI-TENANT attribute.
-    * 
-    * @param    l
-    *           The flag value.
-    */
-   @LegacyAttribute(name = "IS-MULTI-TENANT", setter = true)
-   public void setMultiTenant(boolean l);
+   public logical multiTenant();
+   
+   /**
+    * Setter for the IS-MULTI-TENANT attribute.
+    * 
+    * @param    l
+    *           The flag value.
+    */
+   @LegacyAttribute(name = "IS-MULTI-TENANT", setter = true)
+   public void multiTenant(logical l);
+   
+   /**
+    * Setter for the IS-MULTI-TENANT attribute.
+    * 
+    * @param    l
+    *           The flag value.
+    */
+   @LegacyAttribute(name = "IS-MULTI-TENANT", setter = true)
+   public void multiTenant(boolean l);
    
    /**
     * Definition of the SERIALIZE-ROW method. Writes current row from this buffer into the specified data 

